Bug 124084 - Template change goes unnoticed
Summary: Template change goes unnoticed
Status: NEEDINFO
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.1.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Templates
  Show dependency treegraph
 
Reported: 2019-03-14 18:11 UTC by TorrAB
Modified: 2020-03-21 09:34 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
old file (33.54 KB, application/vnd.oasis.opendocument.text)
2019-03-14 18:16 UTC, TorrAB
Details
file OK (13.33 KB, application/vnd.oasis.opendocument.text)
2019-03-14 18:18 UTC, TorrAB
Details
template —bad? (20.45 KB, application/vnd.oasis.opendocument.text-template)
2019-03-14 18:21 UTC, TorrAB
Details
template —OK? (13.48 KB, application/vnd.oasis.opendocument.text-template)
2019-03-14 18:22 UTC, TorrAB
Details
Writer showing duplicate top menu bars (59.85 KB, image/png)
2019-03-27 13:17 UTC, Xisco Faulí
Details
screenshot of user folder (14.04 KB, image/png)
2019-04-03 16:26 UTC, TorrAB
Details
new template (20.53 KB, application/vnd.oasis.opendocument.text-template)
2019-08-18 15:48 UTC, TorrAB
Details
template with Heading1 style (20.53 KB, application/vnd.oasis.opendocument.text-template)
2019-08-25 14:25 UTC, TorrAB
Details
testing Test.ott (15.62 KB, application/vnd.oasis.opendocument.text)
2019-08-25 14:28 UTC, TorrAB
Details
test file reopened: new style not applied (90.01 KB, image/png)
2019-08-25 14:37 UTC, TorrAB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description TorrAB 2019-03-14 18:11:59 UTC
Description:
	File MaTour.odt, based on template Livre, was modified in 2014;
	The template Livre ("C:\Users\TorrA\AppData\Roaming\LibreOffice\4\user\template\Livre.ott"on my computer) was modified on 2019-3-14;
	Try to open MaTour; the expected Confirmation dialogue
	The template 'Livre' on which this document is based, has been modified. Do you want to update style based formatting according to the modified template?
	does NOT pop up. The new parameters are not applied. Why?

Steps to Reproduce:
1.	File MaTour.odt, based on template Livre, was modified in 2014;
	The template Livre ("C:\Users\TorrA\AppData\Roaming\LibreOffice\4\user\template\Livre.ott"on my computer) was modified on 2019-3-14;
	Try to open MaTour;
2.
3.

Actual Results:
the Confirmation dialogue
	The template 'Livre' on which this document is based, has been modified. Do you want to update style based formatting according to the modified template?
	does NOT pop up. The new parameters are not applied.

Expected Results:
the Confirmation dialogue
	The template 'Livre' on which this document is based, has been modified. Do you want to update style based formatting according to the modified template?
	should pop up


Reproducible: Always


User Profile Reset: No



Additional Info:
	However, the Confirmation dialogue does appear with tstTemp.odt based on template date.ott ("C:\Users\TorrA\AppData\Roaming\LibreOffice\4\user\template\date.ott")
Comment 1 TorrAB 2019-03-14 18:16:18 UTC
Created attachment 149972 [details]
old file
Comment 2 TorrAB 2019-03-14 18:18:34 UTC
Created attachment 149973 [details]
file OK
Comment 3 TorrAB 2019-03-14 18:21:20 UTC
Created attachment 149974 [details]
template  —bad?
Comment 4 TorrAB 2019-03-14 18:22:45 UTC
Created attachment 149975 [details]
template —OK?
Comment 5 TorrAB 2019-03-14 18:50:20 UTC
The difference in behaviour may be due to the fact that MaTour.odt was made with OpenOffice. But that should not matter according to the principles of  the OpenDocument Format (ODF).
Comment 6 Dieter 2019-03-15 11:13:45 UTC
Thank you for reporting the bug. To be certain the reported issue is not
related to corruption in the user profile, could you please reset your
Libreoffice profile (https://wiki.documentfoundation.org/UserProfile) and re-test?

I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the issue is still present
Comment 7 Christian Lohmaier 2019-03-27 11:16:15 UTC
following comment was submitted ruing the outage by TorrAB (https://lists.freedesktop.org/archives/libreoffice-bugs/2019-March/176582.html):

I have to do this test on my work computer. Right now, I can report a similar
bug (maybe the same):
        open dateCh.odt; the date is in the format mm/dd/yy; double click it,
choose the format yyyy-mm-dd, save and close the file. Reopen it: the old
format is back!
        I could not find the userProfile in libreoffice\4\user.
Comment 8 Christian Lohmaier 2019-03-27 11:19:28 UTC Comment hidden (obsolete)
Comment 9 Xisco Faulí 2019-03-27 13:17:49 UTC
Created attachment 150310 [details]
Writer showing duplicate top menu bars
Comment 10 TorrAB 2019-04-03 16:26:34 UTC
Created attachment 150512 [details]
screenshot of user folder
Comment 11 QA Administrators 2019-05-08 21:48:07 UTC Comment hidden (obsolete)
Comment 12 Buovjaga 2019-08-16 09:19:01 UTC
As the templates reside in the user profile, it doesn't seem useful to test after resetting the user profile :)
If wanting to test along these lines, might make sense to move the templates somewhere else and then run in safe mode (Help - Restart in safe mode).

I tested by creating a new file using attachment 149974 [details] (Livre.ott). I modified Livre.ott so that the font color of Heading 5 style is red. I opened my .odt file and the style change was applied successfully (some paragraphs became red).

If you cannot reproduce it from scratch with Livre.ott, I don't think there is anything that can be done for this report.

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 3e64065612acec2eb29aa21e2b515953422256d7
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@62-TDF, Branch:master, Time: 2019-08-15_22:57:26
Locale: fi-FI (fi_FI); UI-Language: en-US
Calc: threaded
Comment 13 TorrAB 2019-08-18 15:48:15 UTC
Created attachment 153488 [details]
new template
Comment 14 TorrAB 2019-08-25 14:25:30 UTC
Created attachment 153639 [details]
template with Heading1 style
Comment 15 TorrAB 2019-08-25 14:28:14 UTC
Created attachment 153640 [details]
testing Test.ott
Comment 16 TorrAB 2019-08-25 14:37:57 UTC
Created attachment 153641 [details]
test file reopened: new style not applied
Comment 17 TorrAB 2019-08-25 14:47:00 UTC
I made template Test.ott (Attachment #153639 [details]), used it to make file tryTest.odt, changed the Heading1 font from bold to italic in template test, and reloaded tryTest.odt, chose to UpdateStyles: Heading1 ('tryingTest') font remains bold,even though the style sidebar shows it as italic(Attachment # 153641 [details]). I must select 'tryingTest' and hit ^m to effect the new style, italic.
Comment 18 Regina Henschel 2019-08-25 15:34:50 UTC
(In reply to TorrAB from comment #17)
> I made template Test.ott (Attachment #153639 [details]),

And add it to your templates via Template Manager? Otherwise tracking changes in templates will not work.

>  used it to make
> file tryTest.odt,

How do you did this?

Templates work fine for me, Version: 6.4.0.0.alpha0+ (x64)
Build ID: 72b50be0197159c5afc5da4daf01ba303519b14a
CPU threads: 8; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL
Comment 19 QA Administrators 2020-02-22 02:50:47 UTC Comment hidden (obsolete)
Comment 20 TorrAB 2020-03-19 02:52:16 UTC
The documents and templates presenting the problem originated mostly from OpenOffice. I suspect that OO and LO are incompatible (they should not!) in how they detect a template change.
I am re-casting my documents in LO templates to bypass the problem.
Comment 21 Dieter 2020-03-21 09:34:16 UTC
(In reply to TorrAB from comment #20)
> I am re-casting my documents in LO templates to bypass the problem.

Thanks. Let's change status to NEEDINFO again, until you can retest with templates created with LO